Diff a template project workspace
Returns exact added, modified, and deleted project files against the current Git base commit.
Returns exact added, modified, and deleted project files against the current Git base commit.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^tmpl_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
expectedRevision*string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/templates/string/workspace/diff" \ -H "Content-Type: application/json" \ -d '{ "expectedRevision": "string" }'{ "projectId": "string", "baseCommit": "string", "revision": "string", "changes": [ { "path": "string", "before": "string", "after": "string", "status": "added" } ], "assetChanges": [ { "path": "string", "status": "added" } ]}